import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
/**
 * @description
 * This element is used to render the block grid areas.
 */
export declare class UmbBlockGridAreasContainerElement extends UmbLitElement {
    private _styleElement?;
    private _areas?;
    private _areaGridColumns?;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockGridAreasContainerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-grid-areas-container': UmbBlockGridAreasContainerElement;
    }
}
